Bug 394621 - Crash shortly after loading Piix_ATA driver during Fedora 8 install. [NEEDINFO]
Crash shortly after loading Piix_ATA driver during Fedora 8 install.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 12:22 EST by Matthew Cooke
Modified: 2009-01-09 00:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:18:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
snecklifter: needinfo? (mpcooke3)


Attachments (Terms of Use)

  None (edit)
Description Matthew Cooke 2007-11-21 12:22:06 EST
Description of problem:
Failed install process on Dell Vostra 400 after loading Piix-ATA

Version-Release number of selected component (if applicable):
fedora 8

How reproducible:
Every time on the Dell Vosta 400 with fairly default configuration. If anyone
wants me to add particular hardware details I can do so.

Steps to Reproduce:
1. Boot off fedora 8 install CD
2. Select default install options.
3. Wait.
  
Actual results:
Hangs for 2mins loading Piix_ATA driver.
Tells user that it can't find install medium.
Then Crashes with dump on screen.

Expected results:
The install process to start.

Additional info:
You can work around this bug by editing the grub config line during boot (hit e)
and adding acpi=off apm=off to the boot params.

I am filing this bug because the http://www.fedorafaq.org/#otherinstall has the
solution but asks people to file bugs if they need to use it.
Comment 1 Chuck Ebbert 2007-11-21 15:14:50 EST
(In reply to comment #0)
> 
> I am filing this bug because the http://www.fedorafaq.org/#otherinstall has the
> solution but asks people to file bugs if they need to use it.

Man, some those tips are horribly out-of-date. "ide=nodma" will have no effect
whatsoever...

Much better list of workarounds is at:
https://fedoraproject.org/wiki/KernelCommonProblems

Comment 2 Matthew Cooke 2007-11-22 11:12:20 EST
I have just double checked and it is acpi=off that resolves the issue not the
ide=nodma.

Given how long this took me to work out, perhaps there could be a safe boot
option in grub that turns acpi off?
Comment 3 Christopher Brown 2008-02-13 18:41:02 EST
(In reply to comment #2)

> Given how long this took me to work out, perhaps there could be a safe boot
> option in grub that turns acpi off?

Adding the above in grub parameters will do that. Editing the grub.conf kernel
parameters makes it permanent.

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

Bugs involving the installation process cannot usually be resolved after release
date. We therefore ask reporters to use one (or both) of the following options:

1) Test with a Fedora Unity re-spin. These can be found at
http://spins.fedoraunity.org/spins and include updates for installer bugs which
may resolve the problem for you.

2) Test with an Alpha, Beta or Release Candidate for the next version. These can
be found at http://fedoraproject.org/get-prerelease and by testing these we can
work to resolve any installation issues so that the final release is free of
such bugs.

However if the problem no longer exists then please close this bug or I'll do so
in a few weeks if there is no additional information lodged.
Comment 4 Bug Zapper 2008-11-26 03:38:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:18:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.